[arch-commits] Commit in devhelp/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Oct 12 10:23:02 EDT 2008


    Date: Sunday, October 12, 2008 @ 10:23:02
  Author: jgc
Revision: 15073

upgpkg: devhelp 0.21-1

Modified:
  devhelp/trunk/PKGBUILD

----------+
 PKGBUILD |   30 ++++++++++--------------------
 1 file changed, 10 insertions(+), 20 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-12 14:10:21 UTC (rev 15072)
+++ PKGBUILD	2008-10-12 14:23:02 UTC (rev 15073)
@@ -3,38 +3,28 @@
 # Contributor: Link Dupont <link at subpop.net>
 
 pkgname=devhelp
-pkgver=0.19.1
-pkgrel=2
+pkgver=0.21
+pkgrel=1
 pkgdesc="API documentation browser for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.imendio.com/projects/devhelp/"
-depends=('gconf>=2.20.1' 'libglade>=2.6.2' 'libwnck>=2.22.1' 'xulrunner>=1.9' 'desktop-file-utils')
+depends=('gconf>=2.24.0' 'libglade>=2.6.3' 'libwnck>=2.24.0' 'xulrunner>=1.9.0.3')
 makedepends=('perlxml' 'pkgconfig')
 options=('!libtool' '!emptydirs')
 install="devhelp.install"
-source=(http://ftp.gnome.org/pub/GNOME/sources/devhelp/0.19/devhelp-${pkgver}.tar.bz2
-	04_devhelp-xul-1.9.m4.patch
-	04_devhelp-xul-1.9.patch)
-md5sums=('6c12a272a94ac9cfc1dc6234590b46d8'
-         '3af13e389f67d21b0d3c353f2c09c818'
-         'f91585725faa95ec8796143e956e527c')
+source=(http://ftp.gnome.org/pub/GNOME/sources/devhelp/0.21/devhelp-${pkgver}.tar.bz2)
+md5sums=('24ad71080dde0778cb42c30575b5aca6')
 
 build() {
-  cd ${startdir}/src/devhelp-${pkgver}
-  patch -Np1 -i ${startdir}/src/04_devhelp-xul-1.9.m4.patch || return 1
-  patch -Np1 -i ${startdir}/src/04_devhelp-xul-1.9.patch || return 1
-  libtoolize --force --copy || return 1
-  aclocal -I m4|| return 1
-  autoconf || return 1
-  automake --add-missing || return 1
+  cd "${srcdir}/devhelp-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --with-gecko=libxul-embedding || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list